'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _graphql = require('graphql-compose/lib/graphql');

var NodeInterface = new _graphql.GraphQLInterfaceType({
  name: 'Node',
  description: 'An object, that can be fetched by the globally unique ID among all types.',
  fields: function fields() {
    return {
      id: {
        type: new _graphql.GraphQLNonNull(_graphql.GraphQLID),
        description: 'The globally unique ID among all types.'
      }
    };
  },
  resolveType: function resolveType(payload) {
    // `payload.__nodeType` was added to payload via nodeFieldConfig.resolve
    return payload.__nodeType ? payload.__nodeType : null;
  }
});

exports.default = NodeInterface;